Core - Bug # 59972

Status: Resolved Priority: Should have
Author: Alexander Stehlik Category: Backend User Interface
Created: 2014-06-29 Assigned To:

Updated: 2015-07-10 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Invalid mergelfNotBlank usage in sys_file_reference TCA

Description

Some fields in the sys_file_reference table currently are configured to behave as "mergelfNotBlank" but this behavior is not respected
in the Frontend. (and would not make sense there either).

Imagine this: You have a file and its metadata is translated in English and German.
Now you override the German translation in the file reference.
You probably do not want to use the german override for the English version. But you might want to remove the English description.

The rendering in the Frontend currently behaves exactly like this. This is why the "mergelfNotBlank" setting should be removed from
the TCA to prevent confusion.

Related issues:
related to Core - Bug # 59192: mergelfNotBlank with FAL records Accepted 2014-05-28

Associated revisions

Revision b0134053 - 2014-09-14 13:53 - Alexander Stehlik

[BUGFIX] Improve 110n_mode config for sys_file_reference

Since the rendering in the Frontend does not merge the values
the mergelfNotBlank setting is replaced with prefixLangTitle for

the alternative, description and title field.

For the link field the mergelfNotBlank setting is removed because
a prefix does not make sense there.

Releases: 6.3, 6.2

Resolves: #59972

Change-Id: 1242b687a7ce851270022b86561f13eacea4d3949
Reviewed-on: http://review.typo3.org/31212

Reviewed-by: Marcin Sagol <marcin@soee.pl>

Reviewed-by: Frank N&gler <typo3@naegler.net>

Tested-by: Frank Nagler <typo3@naegler.net>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision f96¢1013 - 2014-09-14 13:53 - Alexander Stehlik
[BUGFIX] Improve 110n_mode config for sys_file_reference

Since the rendering in the Frontend does not merge the values
the mergelfNotBlank setting is replaced with prefixLangTitle for
the alternative, description and title field.

For the link field the mergelfNotBlank setting is removed because
a prefix does not make sense there.

Releases: 6.3, 6.2

Resolves: #59972

Change-Id: 1242b687a7ce851270022b8656 1f13eacea4d3949
Reviewed-on: http://review.typo3.org/32756

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 4143a9b4 - 2015-07-10 15:41 - Alexander Stehlik

[BUGFIX] Improve 110n_mode config for sys_file_reference

Since the rendering in the Frontend does not merge the values
the mergelfNotBlank setting is replaced with prefixLangTitle for
the alternative, description and title field.

For the link field the mergelfNotBlank setting is removed because
a prefix does not make sense there.

Change-Id: 109dfd6d971357ceaeaa08f60057323b3c7e33aatl
Releases: master

Resolves: #59972

Reviewed-on: http://review.typo3.0rg/32758

Reviewed-by: Frank N&gler <frank.naegler@typo3.org>

Tested-by: Frank Nagler <frank.naegler@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

History

#1 - 2014-06-29 11:18 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31212

#2 - 2014-07-01 15:53 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31212
#3 - 2014-07-01 16:20 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31212

#4 - 2014-09-14 13:53 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32756

#5 - 2014-09-14 14:00 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b013405328a679a2c22c885215e89edf1dba5327.

#6 - 2014-09-14 14:15 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/32758

#7 - 2014-11-15 14:55 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32758

#8 - 2015-01-03 15:49 - Markus Klein
- Description updated
- Target version set to next-patchlevel

- % Done changed from 100 to 0

Note: original patches have been reverted!

#9 - 2015-06-18 22:14 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32758

#10 - 2015-07-10 15:31 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32758
#11 - 2015-07-10 16:00 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4143a9b4bf9169f373c4130dce262a611d88c781.
